package cv8.beans;

import java.io.Serializable;
import javax.enterprise.context.SessionScoped;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;

@Named
@SessionScoped
public class LoginBean implements Serializable {

    private User loggedUser = null;
    private String login;
    private String password;

    @Inject
    private UserBean userBean;

    public UserBean getUserBean() {
        return userBean;
    }

    public void setUserBean(UserBean userMB) {
        this.userBean = userMB;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public User getLoggedUser() {
        return loggedUser;
    }

    public String login() {
        for (User u : userBean.getAllUsers()) {
            if (u.getLogin().equals(getLogin()) && u.getPassword().equals(getPassword())) {
                loggedUser = u;
                break;
            }
        }
        return "";
    }

    public boolean isLogged() {
        return loggedUser != null;
    }

    public String logout() {
        loggedUser = null;
        FacesContext.getCurrentInstance().getExternalContext().invalidateSession();
        return "";
    }
}
