package cv8.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

@Named(value = "uzivatele")
@SessionScoped
public class UserBean implements Serializable {

    private final ArrayList<User> users = new ArrayList<>();
    private User editedUser;

    public UserBean() {
        users.add(new User("a", "a", "Alojs", "Testovic"));
        users.add(new User("b", "b", "Bedrich", "Testovic"));
        users.add(new User("c", "c", "Cecilie", "Testovic"));
        users.add(new User("d", "d", "David", "Testovic"));
    }

    public List<User> getAllUsers() {
        return users;
    }

    public User getEditedUser() {
        return editedUser;
    }

    public void setEditedUser(User editedUser) {
        this.editedUser = editedUser;
    }

    public String save() {
        return "index";
    }

    public String edit(User user) {
        editedUser = user;
        return "editUser";
    }
}
